<!DOCTYPE html>
{% extends "base.html" %}

{% load static %}

{% block title %}Post{% endblock %}

{% block styles %}
<link rel="stylesheet" type="text/css" href="{% static 'css/post.css' %}">
{% endblock %}

{% block content %}
<div class="list-post-pet">
    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-10 col-lg-10 col-xl-10">
            <h1>Your Pet 🐾</h1>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-2 col-lg-2 col-xl-2" style="margin-top: 6%; margin-bottom: 2.5%">
            <form action="/upload/">
                <button type="submit" class="btn btn-light" style="background-color: #E85900; color: white; font-family: BalooThambi; font-size: 18px; margin-bottom: 2.5%; margin-left: 7.5%">Add Pet</button>
            </form>
            <form method="POST" action="{% url 'inez:deleteAllPost' %}">
                {% csrf_token %}
                <button type="submit" class="btn btn-icon btn-danger" style="font-family: BalooThambi; font-size: 18px; margin-left: 7.5%">Delete All</button>
            </form>
        </div>
    </div>

    {% if pet_count > 0 %}

    <div class="row" style="margin-top: 2.5%; margin-left: 5%; margin-right: 5%">
            {% for pet in pet_list %}
            <div class="col-xs-12 col-sm-7 col-md-5 col-lg-3 col-xl-3" style="margin: 2.5%">
                <div class="pet-info pt-3">
                    {% for photo in photo_list %}
                        {% if photo.pet == pet %}
                            <div class="pet-photo mx-auto" style="
                                background: url('{{ photo.photo.url }}') no-repeat center center;
                                background-size: cover;
                                -webkit-background-size: cover;
                                -moz-background-size: cover;
                                -o-background-size: cover;
                                margin-top: 10px;
                            "></div>
                            <!-- <img src="{{ photo.photo.url }}" alt="pet photo"><br> -->
                        {% endif %}
                    {% endfor %}
                    <p style="font-size: 22px">{{ pet.pet_name }}
                        <br>
                        <i style="font-size: 16px">{{ pet.pet_type }} - {{ pet.pet_age }} - {{ pet.pet_breed }}</i>
                    </p>
                    <div class="more-button" style="text-align: center;">
                        <a href="{% url 'pet_edit' pk=pet.pk %}"><button class="btn btn-icon btn-info" style="font-family: BalooThambi; background-color: #CE957A">Edit</button></a>
                        <a href="{% url 'inez:deletePost' pk=pet.pk %}"><button type="button" class="btn btn-icon btn-danger" style="font-family: BalooThambi; margin-left: 2.5%">Delete</button></a>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>

    {% else %}

    <div class="no-pet" style="text-align: center; font-family: BalooThambi; font-size: 25px">
        <img src="{% static 'images/for-pet-list.jpg' %}" style="width: 250px; height: 250px; margin: 0 auto">
        <p> Whoops! You haven't add any pet
            <br>
            Click 'Add Pet' to add your pet
        </p>
    </div>    

    {% endif %}

{% endblock %}